package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户与机构，用户，网格关联关系（暂时存放假的管户关系）对象 cust_dept_user_grid
 *
 * @author ruoyi
 * @date 2024-09-24
 */
public class CustDeptUserGrid extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 机构id(部门id)
     */
    @Excel(name = "机构id(部门id)")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 用户名
     */
    @Excel(name = "用户名")
    private String userName;

    /**
     * 归属网格id
     */
    @Excel(name = "归属网格id")
    private Long gridId;

    /**
     * 一级网格名称
     */
    @Excel(name = "一级网格名称")
    private String gridName;

    /**
     * 一级网格名称
     */
    @Excel(name = "二级网格名称")
    private String gridName2;

    /**
     * 客户经理柜员号
     */
    @Excel(name = "客户经理柜员号")
    private String tellerId;

    /**
     * 归属网点
     */
    @Excel(name = "归属网点")
    private String outlets;

    /**
     * 客户id
     */
    @Excel(name = "客户id")
    private String custId;

    /**
     * 身份证号;<字典:cust_idc>
     */
    @Excel(name = "身份证号;<字典:cust_idc>")
    private String custIdc;

    /**
     * 客户名
     */
    @Excel(name = "客户名")
    private String custName;

    /**
     * 客户手机号
     */
    @Excel(name = "客户手机号")
    private String custPhone;

    /**
     * 归属客户经理姓名
     */
    @Excel(name = "归属机构")
    private String deptName;

    private String opsDept;


    private String log3;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName() {
        return gridName;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getTellerId() {
        return tellerId;
    }

    public void setTellerId(String tellerId) {
        this.tellerId = tellerId;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("gridId", getGridId())
                .append("gridName", getGridName())
                .append("gridName2", getGridName2())
                .append("tellerId", getTellerId())
                .append("outlets", getOutlets())
                .append("custId", getCustId())
                .append("custIdc", getCustIdc())
                .append("custName", getCustName())
                .append("custPhone", getCustPhone()).append("deptName", getDeptName())
                .toString();
    }

    public String getLog3() {
        return log3;
    }

    public void setLog3(String log3) {
        this.log3 = log3;
    }
}
